<?php
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Application\CMSApplicationInterface;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\Input\Input;
use Joomla\Registry\Registry;
use Joomla\CMS\Language\Text;
 
$wa = $app->getDocument()->getWebAssetManager();
$wa->registerAndUseStyle($module->module, JURI::base().'modules/'.$module->module. '/css/flycart.css');

?>
<div class="chombo-overlay " data-chombo-trigger=""></div>

	<div class="chombo chombo-floating-box" style="right: 40px;bottom: 40px;">

	<!-- chombo-cart -->
	<div class="chombo-cart" data-chombo-cart-popup-stage="0" >

		<!-- chombo-header -->
		<div class="chombo-cart__header">
			<div class="chombo-cart__header-title"><?php print Text::_('MOD_JSFLYCART_CART');?></div>
			<div class="chombo-cart__header-close" data-chombo-trigger >
				<img src="<?echo JURI::base().'modules/'.$module->module;?>/images/close.svg" alt="//" width="20">
			</div>
		</div><!-- .chombo-header -->

		<!-- chombo-body -->
		<div class="chombo-cart__body" id="chombo-cart-body"><div class="woocommerce-notices-wrapper"></div>
		<div class="chombo-card">
	<div class="chombo-card__body">
	
	<?php if ($cart->getSum(0, 1) > 0): ?>	
	<div class="chombo-products">
	<?php foreach ($cart->products as $product): ?>

	<div class="chombo-product">
		<div class="chombo-product__img-wrapper">
		<div class="chombo-product__img">
			<a href="<?php echo $product['href']; ?>">
			
			<?php echo HTMLHelper::image($jshopConfig->image_product_live_path . '/' . $product['thumb_image'], $product['product_name'], ['loading' => 'lazy', 'title' => $product['product_name'], 'width' => '80', 'height' => 'auto']); ?>	
			</a>								</div>

		</div>
							<div class="chombo-product__meta">
								<div class="chombo-product__title">
								<a href="<?php echo $product['href']; ?>"><?php echo $product['product_name']; ?></a>								</div>

							</div>
							<div class="chombo-product__subtotal">
								<span class="Price-amount amount"><bdi><?php echo \JSHelper::formatprice($product['quantity'] * $product['price']); ?></bdi></span>							</div>
						</div>
	<?php endforeach; ?>
	</div>

	<?php else: ?>
		<div class="chombo-cart-empty-message">
			<?php echo Text::_('MOD_JSFLYCART_CART_IS_EMPTY'); ?>
		</div>
	<?php endif; ?>
	</div>
</div>
</div><!-- .chombo-body -->

		<!-- chombo-footer -->
		<div class="chombo-cart__footer">

			<div class="chombo-cart-cta">

	
		<a href="<?php print \JSHelper::SEFLink('index.php?option=com_jshopping&view=cart', 1);?>" rel="nofollow" class="chombo-cart-cart chombo-primary-bg-color chombo-primary-text-color">
			<?php print Text::_('MOD_JSFLYCART_GO_TO_CART');?>		</a>

	
	
		<a href="<?php print \JSHelper::SEFLink('index.php?option=com_jshopping&view=checkout', 1);?>" class="chombo-cart-checkout chombo-primary-bg-color chombo-primary-text-color">
			<?php echo Text::_('MOD_JSFLYCART_CHECKOUT'); ?>
							<span class="chombo-checkout-and-total-price-separator">:</span> <span id="chombo-cart-total"><span class="Price-amount amount"><bdi><?php echo \JSHelper::formatprice($cart->getSum(0, 1)); ?></bdi></span></span>
			
		</a>

	
</div>

		</div><!-- .chombo-footer -->

		<!-- WOOFC cart loader -->
		<div class="chombo-cart__loader">
			<div class="chombo-spinner"></div>
		</div><!-- .WOOFC cart loader -->

		<!-- WOOFC cart notice -->
		<div class="chombo-cart-notice"></div><!-- .WOOFC cart notice -->

	</div><!-- .chombo-cart -->

	<div class="chombo-cart-trigger" data-chombo-trigger="" style="">
		<div class="chombo-cart-trigger__counter">
			<span id="chombo-cart-trigger-counter"><?php echo $cart->count_product;?></span>
		</div>
		<img src="<?echo JURI::base().'modules/'.$module->module;?>/images/cart.svg" alt="//" width="26">
	</div>

</div>



<script>
	jQuery( document ).ready( function($)
		{
			$( '.chombo-cart-trigger' ).on( 'click', function()
				{
					$( '.chombo-cart' ).addClass( 'chombo-cart--open' );
					$( '.chombo-overlay' ).addClass( 'chombo-overlay--open' );
				});
			$( '.chombo-cart__header-close' ).on( 'click', function()
				{
					$( '.chombo-cart' ).removeClass( 'chombo-cart--open' );
					$( '.chombo-overlay' ).removeClass( 'chombo-overlay--open' );
				});
			$( '.chombo-overlay' ).on( 'click', function()
				{
					$( '.chombo-cart' ).removeClass( 'chombo-cart--open' );
					$( '.chombo-overlay' ).removeClass( 'chombo-overlay--open' );
				});	
				

		} );

        
    </script>
